Bug 91622 - Boot error after upgrading to kernel 2.4.20-13.8smp
Boot error after upgrading to kernel 2.4.20-13.8smp
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: up2date (Show other bugs)
8.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Bret McMillan
Fanny Augustin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-26 03:50 EDT by rolandbreedveld
Modified: 2007-04-18 12:54 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 12:59:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description rolandbreedveld 2003-05-26 03:50:09 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
After upgrading (with up2date) to kernel 2.4.20-13.8smp, from 2.4.18-27.8.0smp,
the system won't boot this version.
Version 2.4.18-27.8.0smp and older, boots fine from grub.
Boot errors:
Mounting root filesystem
EXT3-fs: unable to read superblock
mount: error 22 mounting ext3
pivotroot: pivot_root(/sysroot,/sysroot/initrd)failed
unmount /intrd/proc failed
Kernel Panic, system hangs etc etc

Yes, the directory /initrd exists
I use, ext3 on a mirror fs /dev/md0 for boot and md1 for root
labeling the disks with e2label (/ and /boot) makes no sence.
System is running fine with 2.4.18-27.8.0smp !
Regards Roland

Version-Release number of selected component (if applicable):
kernel-2.4.20-13.8smp

How reproducible:
Always

Steps to Reproduce:
see the description 

Additional info:
Comment 1 Adrian Likins 2003-06-11 16:24:15 EDT
could I get a copy of the /boot/grub/grub.conf?
Comment 2 rolandbreedveld 2003-06-12 02:14:57 EDT
Hi Adrian,

Also tried the newest kernel 2.4.20-18.8, same problem as 20-13.8
2.4.18-27.8.0 (smp) works still fine

#grub.conf
#boot=/dev/sda
default=0
timeout=10
splashimage=(hd0,0)/grub/splash.xpm.gz
title Red Hat Linux (2.4.18-27.8.0smp)
	root (hd0,0)
	kernel /vmlinuz-2.4.18-27.8.0smp ro root=/dev/md1
	initrd /initrd-2.4.18-27.8.0smp.img
title Red Hat Linux (2.4.20-18.8smp)
	root (hd0,0)
	kernel /vmlinuz-2.4.20-18.8smp ro root=/dev/md1
	initrd /initrd-2.4.20-18.8smp.img
title Red Hat Linux (2.4.20-18.8)
	root (hd0,0)
	kernel /vmlinuz-2.4.20-18.8 ro root=/dev/md1
	initrd /initrd-2.4.20-18.8.img
title Red Hat Linux (2.4.20-13.8smp)
	root (hd0,0)
	kernel /vmlinuz-2.4.20-13.8smp ro root=/dev/md1
	initrd /initrd-2.4.20-13.8smp.img
title Red Hat Linux (2.4.20-13.8)
	root (hd0,0)
	kernel /vmlinuz-2.4.20-13.8 ro root=/dev/md1
	initrd /initrd-2.4.20-13.8.img

regards Roland
Comment 3 rolandbreedveld 2003-10-30 03:41:57 EST
Hi

Also kernel 2.4.20-20.8(smp) won't boot
Booting changed to lilo now, same results.
looked with tune2fs, fs should be a correct ext-3 fs, with internal journal.
When booting the old 2.4-18 kernel is see one row more that is missing with the
new kernels:
between "mounting root fs" and the "EXT3-fs: unable to read superblock"
there should be :
kjournaldaemon started, or something like that.

Roland
Comment 4 Dale R. Worley 2003-12-06 22:00:19 EST
The messages reported above resemble the ones that I reported in bug 
  111631.  See it for all the gory details, but the things to look out
for are:

- Do you have more than one line in /etc/fstab directing a partition
to be mounted as '/'?

- When installing the kernel RPM, did you see:

awk: cmd. line:1: $2 == "Root
awk: cmd. line:1:       ^ unterminated string
Comment 5 Bill Nottingham 2006-08-07 15:40:27 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
Please check if this issue is still present in a current Fedora Core
release. If so, please change the product and version to match, and
check the box indicating that the requested information has been
provided. Note that any bug still open against Red Hat Linux on will be
closed as 'CANTFIX' on September 30, 2006. Thanks again for your help.
Comment 6 Bill Nottingham 2006-10-18 12:59:28 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.